Subject: bug#28144: info-dir ERROR: no code for module (guix build utils)

From: swedebugia <[email-masked]>
Date: Tue, 29 Jan 2019 22:17:47 +0100

On 2019-01-29 22:14, swedebugia wrote:
> Hi Brant
> 
> I moved your reply below. Please avoid top posting.
> 
> On 2019-01-28 23:04, Brant Gardner wrote:
>> On Mon, Jan 28, 2019, at 12:57, Ricardo Wurmus wrote:
>>>
> 
> snip
> 
>>> Could you please tell us what “guix describe” and/or “guix --version”
>>> say?  This would help us figure out if we can do something to prevent
>>> this.
>>>
>>> You can get out of this problem by using a different variant of Guix to
>>> run “guix pull”, e.g. ~/.config/guix/current-1-link/bin/guix pull.
>> As normal user:
>>
>> ~ % guix describe
>> guix describe: error: failed to determine origin
>>
>> ~ % guix --version
>> guix (GNU Guix) 0.16.0-8.7ba2b27
>> Copyright (C) 2018 the Guix authors
>> License GPLv3+: GNU GPL version 3 or later 
>> <http://gnu.org/licenses/gpl.html>
>> This is free software: you are free to change and redistribute it.
>> There is NO WARRANTY, to the extent permitted by law.
>>
>> -----
>>
>> Root gets very different answers, as you already pointed out I should 
>> expect:
>>
>> root@mercury ~# guix describe
>> Generation 3    Jan 27 2019 07:33:28    (current)
>>    guix 4f8be6d
>>      repository URL: https://git.savannah.gnu.org/git/guix.git
>>      branch: master
>>      commit: 4f8be6d905de0ca53275907cce37742287b51111
>>
>> root@mercury ~# guix --version
>> guix (GNU Guix) 4f8be6d905de0ca53275907cce37742287b51111
>> Copyright (C) 2019 the Guix authors
>> License GPLv3+: GNU GPL version 3 or later 
>> <http://gnu.org/licenses/gpl.html>
>> This is free software: you are free to change and redistribute it.
>> There is NO WARRANTY, to the extent permitted by law.
>>
>>
>> The path you indicated doesn't exist for me, can I use root's path to 
>> the guix executable to perform the pull and fix the normal user?
> 
> Yes if you make sure it and all directories above it is readable by the 
> normal user.
> 

Also see this by fredrick in guix-help:
"I didn't have ~/.config/guix/current-1-link/bin/guix, so I ran
/var/guix/profiles/system-1-link/profile/bin/guix pull. That solved the
issue and I can now run "guix pull" and "guix environment guix"
again. Haven't tried "guix package -u" but I would assume that works as
well."

HTH

-- 
Cheers
Swedebugia